Inhalte
Index 🔎︎

# Funktion CInt

Konvertiert einen beliebigen numerischen Ausdruck oder einen Zeichenkettenausdruck in einen Integer-Typ.

## Syntax:

    CInt (Ausdruck)

## Rückgabewert:

Integer

## Parameter:

Ausdruck: Ein beliebiger zu konvertierender numerischer Ausdruck. Liegt Ausdruck außerhalb des gültigen Wertebereichs von -32768 bis 32767, so meldet LibreOffice Basic einen Überlauffehler. Zum Konvertieren eines Zeichenkettenausdrucks muss die Zahl als normaler Text ("123,5") entsprechend des Standard-Zahlenformats Ihres Betriebssystems eingegeben werden.

Diese Funktion nimmt stets eine Rundung auf die nächste ganze Zahl vor.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub